View Issue Details

IDProjectCategoryView StatusLast Update
0003007Ham Radio DeluxeEnhancementpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003007: Rig Control: implement support for Yaesu keyer memories
DescriptionThe Rig Control application has an "ICOM Memory Keyer" command. There's no support for the memory keyer features of Yaesu radios, however.
Steps To Reproduce1) Start up Rig Control
2) Connect to your Yaesu radio
3) In the "Tools" menu, use the "Memory Management" tear off

BUG#1) there's an "ICOM Memory Keyer" command, which leads to a dialog that supports setting keyer phrases for the radio memory. But there's no support for Yaesu radios, even though many have a similar feature.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-19 16:42

manager   ~0006717

I've added a "Yaesu Keyer Memory" command to the Tools menu. It leads to a dialog box that lets the user read and set the keyer memories on Yaesu radios that have keyer memories. (Our list might not be complete, but I've neabled the command for radios for which I have documentation ...)

K7ZCZ

2018-12-19 16:44

manager   ~0006718

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4628

WA9PIE

2019-01-01 22:45

administrator   ~0006848

Wow, this is VERY cool!

Validated

Issue History

Date Modified Username Field Change
2018-12-19 14:43 K7ZCZ New Issue
2018-12-19 16:42 K7ZCZ Summary Rig Control: implement support for Kenwood keyer memories => Rig Control: implement support for Yaesu keyer memories
2018-12-19 16:42 K7ZCZ Description Updated View Revisions
2018-12-19 16:42 K7ZCZ Note Added: 0006717
2018-12-19 16:44 K7ZCZ Assigned To => K7ZCZ
2018-12-19 16:44 K7ZCZ Status new => resolved
2018-12-19 16:44 K7ZCZ Resolution open => fixed
2018-12-19 16:44 K7ZCZ Note Added: 0006718
2018-12-27 16:29 WA9PIE Fixed in Version => 6.5.0.161
2019-01-01 22:45 WA9PIE Status resolved => closed
2019-01-01 22:45 WA9PIE Testing Not Started => Beta Successful
2019-01-01 22:45 WA9PIE Note Added: 0006848
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.161 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe